# thelounge

![Version: 4.3.1](https://img.shields.io/badge/Version-4.3.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 4.3.0-alpine](https://img.shields.io/badge/AppVersion-4.3.0--alpine-informational?style=flat-square)

Modern web IRC client designed for self-hosting

**Homepage:** <https://thelounge.chat/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"thelounge/thelounge"` |  |
| image.tag | string | `"{{ .Chart.AppVersion }}"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0] | string | `"chart-example.local"` |  |
| ingress.ingressClassName | string | `nil` |  |
| ingress.paths[0] | string | `"/"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessModes[0] | string | `"ReadWriteOnce"` |  |
| persistence.enabled | bool | `false` |  |
| persistence.existingClaim | string | `""` |  |
| persistence.size | string | `"1Gi"` |  |
| persistence.skipuninstall | bool | `false` |  |
| persistence.storageClassName | string | `""` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `9000` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| thelounge.fileUpload.baseUrl | string | `nil` |  |
| thelounge.fileUpload.enable | bool | `false` |  |
| thelounge.fileUpload.maxFileSize | int | `10240` |  |
| thelounge.ldap.bindDn | string | `"uid=my-service,ou=ServiceAccount,dc=example,dc=com"` |  |
| thelounge.ldap.bindPassword | string | `"my-password"` |  |
| thelounge.ldap.enable | bool | `false` |  |
| thelounge.ldap.filter | string | `"(objectClass=person)(memberOf=ou=accounts,dc=example,dc=com)"` |  |
| thelounge.ldap.primaryKey | string | `"uid"` |  |
| thelounge.ldap.scope | string | `"sub"` |  |
| thelounge.ldap.searchSuffix | string | `"dc=example,dc=com"` |  |
| thelounge.ldap.url | string | `"ldap://ldap.example.com"` |  |
| thelounge.leaveMessage | string | `"The Lounge - https://thelounge.chat"` |  |
| thelounge.maxHistory | int | `10000` |  |
| thelounge.prefetch | bool | `false` |  |
| thelounge.prefetchMaxImageSize | int | `2048` |  |
| thelounge.prefetchStorage | bool | `false` |  |
| thelounge.public | bool | `false` |  |
| thelounge.reverseProxy | bool | `true` |  |
| thelounge.theme | string | `"default"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
